package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 预报警频次表
 * </p>
 *
 * @author ozs
 * @since 2023-02-23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("预报警频次表")
public class MsgAlarmFrequency extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 报警唯一标识
     */
    private String alarmId;

    /**
     * 报警时间
     */
    private Date alarmTime;

    /**
     * 报警内容
     */
    private String content;

    /**
     * 报警置信度（百分比）
     */
    private Integer alarmConfidence;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;
    

    /**
     * 报警图片地址
     */
    private String imageUrl;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 报警级别
     */
    private Integer alarmLevel;
}
