package com.ozs.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 统计管理页面实体类
 *
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
@Data
public class AlarmStatisticVo {

    /**
     * 报警唯一标识
     */
    private String alarmId;

    /**
     * 线路名称
     */
    private String railwayName;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 报警时间
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date alarmTime;

    /**
     * 备注
     */
    private String remark;
    

  
   

    /**
     * 报警里程位置
     */
    private String alarmMile;

    /**
     * 报警内容
     */
    private String content;

    /**
     * 报警置信度（百分比）
     */
    private Integer alarmConfidence;

    /**
     * 报警行别(1上行2下行)
     */
    private Integer lineDir;

    /**
     * 报警行别字符串(1上行2下行)
     */
    private String lineDirName;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;
    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private String alarmTypeName;

    

    /**
     * 报警图片地址
     */
    private String imageUrl;

    /**
     * 解除人
     */
    private String releasedBy;

    /**
     * 解除人
     */
    private String releasedByName;

    /**
     * 解除时间
     */
    private Date releasedTime;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isRelease;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private String isReleaseName;
    /**
     * 报警级别
     */
    private Integer alarmLevel;

    /**
     * 解除内容
     */
    private String releaseContent;
}
